# conjunctive(　)基準点ベクトルc1,c2の下での2つの研究仮説が同時に成り立つ確率
# x:a列の乱数によって構成された行列[,a](0,1ではなく乱数)
# IJ:2*2の行列,IJ[1,1]-IJ[1,2] かつ IJ[2,1]-IJ[2,2]か成り立つ確率を評価する
# c1,c2:それぞれの基準点のベクトル
conjunctive<-function(x,IJ,c1=0,c2=0,dedits=3){
 phcT<-matrix(0,length(c1),length(c2))
 ii<-0
 for (i in c1){
  ii<-ii+1;jj<-0;
  for (j in c2){
   jj<-jj+1
   phcT[ii,jj]<-mean((x[,IJ[1,1]]-x[,IJ[1,2]]>i)*(x[,IJ[2,1]]-x[,IJ[2,2]]>j))
  }
 }
 colnames(phcT)<-c1
 rownames(phcT)<-c2
 return(round(phcT,dedits))
}

