﻿#生成量の要約統計量を計算する
#x（乱数×1）の生成量ベクトル、または（乱数×生成量）の行列
gqcal<-function(x,digits =3,probs=c(0.025,0.05,0.5,0.95,0.975) ){
   xx<-as.matrix(x)
   y1<-rbind(apply(xx,2,mean),apply(xx,2,sd),apply(xx,2,quantile,probs))
   y<-round(t(y1),digits)
   rownames(y)<-colnames(xx)
   colnames(y)<-c("EAP","post.sd",probs)
   return(y)
}
