# mean_sd_plot(　) 2要因実験のセル平均・標準偏差・平均をプロット
#y:測定値ベクトル
#A:水準の指定（2水準以上）
#B:水準の指定（2水準）
mean_sd_plot<-function(y,A,B,ylab="",xlab="",
    cex.lab=1.5,cex.axis=1.5,lwd=2.0,ylim=c(ymin,ymax)){
  cat("セル平均\n")
  print(meany<-round(tapply(y,list(A,B),mean),2))
  cat("セル標準偏差\n")
  print(sdny <-round(tapply(y,list(A,B),sdn),2))   #分母がnの標準偏差
  ymax<-max(meany)+0.5*max(sdny)
  ymin<-min(meany)-0.5*max(sdny)
  plot(rownames(meany),meany[,1],type="b",xlim=c(0,max(A)+1),ylim=ylim,
        ylab="",xlab="",cex.lab=cex.lab,cex.axis=cex.axis,lwd=lwd)
  par(new=T)
  plot(rownames(meany),meany[,2],type="b",xlim=c(0,max(A)+1),ylim=ylim,
        ylab=ylab,xlab=xlab,cex.lab=cex.lab,cex.axis=cex.axis,lwd=lwd)
}
