﻿#複数の水準間にc以上の差があるという言明が正しい確率の行列
#c   スカラー　基準点　
#ext 行に乱数、列に母数をもつ行列
#cc="gtc"の場合は、行の母数ー列の母数 >cであり、
#  "rope"の場合はabs(行の母数ー列の母数)<cであり、
#      それ以外は、行の母数ー列の母数 <c
phc02<-function(c=0, ext, cc="gtc", digits=3){
 J<-ncol(ext)
 pro_matrix<-matrix(0,J,J)
 colnames(pro_matrix)<-colnames(ext)
 rownames(pro_matrix)<-colnames(ext)
 if (cc == "gtc") {
   for(i in 1:J){for(j in 1:J){pro_matrix[i,j]<-mean(ext[,i]-ext[,j]>c)}}
 }else if(cc == "rope"){
   for(i in 1:J){for(j in 1:J){pro_matrix[i,j]<-mean(abs(ext[,i]-ext[,j])<c)}}
 }else{
   for(i in 1:J){for(j in 1:J){pro_matrix[i,j]<-mean(ext[,i]-ext[,j]<c)}}
 }
 round(pro_matrix,digits)
}
